textarea {
    resize: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    width: 100%;
    height: 400px;
}

textarea:invalid {
    border: 2px solid red;
}

label {
    margin-bottom: 0;
}

.error {
    color: red;
    visibility: hidden;
}

.error-visible {
    visibility: visible;
}

.data-editor {
    min-width: 200px;
    padding: 25px 5%;
}
